﻿<div class="top-row ps-3 navbar navbar-dark">
    <div class="container-fluid">
        <a class="navbar-brand" href="">VacationSchedule.WebApp</a>
        <button title="Navigation menu" class="navbar-toggler" @onclick="ToggleNavMenu">
            <span class="navbar-toggler-icon"></span>
        </button>
    </div>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <nav class="flex-column">
        <AuthorizeView Roles="Admin,Moderator,Basic">
            <div class="nav-item px-3">
                <NavLink class="nav-link">
                    Общий блок
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="profile">
                    <span class="oi oi-home" aria-hidden="true"></span> Profile
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="contact">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Contact
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="vacation">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Vacation
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="departmentvacation">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Department Vacation
                </NavLink>
            </div>
        </AuthorizeView>
        <AuthorizeView Roles="Admin, Moderator">
            <div class="nav-item px-3">
                <NavLink class="nav-link">
                    Блок Модератора
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="department">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Department
                </NavLink>
            </div>        
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="user">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> User
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="vacationtype">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Vacation Type
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="contacttype">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Contact Type
                </NavLink>
            </div>
        </AuthorizeView>
        <AuthorizeView Roles="Admin">
            <div class="nav-item px-3">
                <NavLink class="nav-link">
                    Блок Администратора
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="role">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Role
                </NavLink>
            </div>
            <div class="nav-item px-3">
                <NavLink class="nav-link" href="admin">
                    <span class="oi oi-list-rich" aria-hidden="true"></span> Admin users
                </NavLink>
            </div>
        </AuthorizeView>
    </nav>
</div>

@code {
    private bool collapseNavMenu = true;

    private string? NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
